Package org.apache.solr.client.solrj

## Interface SolrClientFunction<C extends SolrClient,​R>

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface SolrClientFunction<C extends SolrClient,​R>

A lambda intended for invoking SolrClient operations

### Method Summary

All Methods Instance Methods Abstract Methods
`R` `apply​(C c)`

### Method Detail

#### apply

    R apply​(C c)
     throws IOException,
            SolrServerException

Throws:
  `IOException`
  `SolrServerException`